Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(325)

Issue 144463012: cc: Reuse the same TaskGraph and completed tasks vector. (Closed)

Created:
5 years, 6 months ago by reveman
Modified:
5 years, 6 months ago
Reviewers:
vmpstr
CC:
chromium-reviews, cc-bugs_chromium.org
Visibility:
Public.

Description

cc: Reuse the same TaskGraph and completed tasks vector. This improves performance by avoiding unnecessary resizing of vectors. RasterWorkerPoolPerfTest.ScheduleTasks is ~25% faster for ImageRasterWorkerPool with this change. BUG=246546 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=250305

Patch Set 1 #

Total comments: 4

Patch Set 2 : update comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+34 lines, -24 lines) Patch
M cc/resources/image_raster_worker_pool.h View 1 1 chunk +5 lines, -0 lines 0 comments Download
M cc/resources/image_raster_worker_pool.cc View 4 chunks +12 lines, -12 lines 0 comments Download
M cc/resources/pixel_buffer_raster_worker_pool.h View 1 1 chunk +5 lines, -0 lines 0 comments Download
M cc/resources/pixel_buffer_raster_worker_pool.cc View 8 chunks +12 lines, -12 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
reveman
5 years, 6 months ago (2014-02-10 17:49:01 UTC) #1
vmpstr
https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h File cc/resources/pixel_buffer_raster_worker_pool.h (right): https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h#newcode92 cc/resources/pixel_buffer_raster_worker_pool.h:92: // Avoid unnecessary heap allocations by reusing the same ...
5 years, 6 months ago (2014-02-10 18:00:18 UTC) #2
reveman
https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h File cc/resources/pixel_buffer_raster_worker_pool.h (right): https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h#newcode92 cc/resources/pixel_buffer_raster_worker_pool.h:92: // Avoid unnecessary heap allocations by reusing the same ...
5 years, 6 months ago (2014-02-10 19:13:26 UTC) #3
vmpstr
On 2014/02/10 19:13:26, David Reveman wrote: > https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h > File cc/resources/pixel_buffer_raster_worker_pool.h (right): > > https://codereview.chromium.org/144463012/diff/1/cc/resources/pixel_buffer_raster_worker_pool.h#newcode92 ...
5 years, 6 months ago (2014-02-10 19:40:15 UTC) #4
reveman
On 2014/02/10 19:40:15, vmpstr wrote: > On 2014/02/10 19:13:26, David Reveman wrote: > > > ...
5 years, 6 months ago (2014-02-10 20:06:23 UTC) #5
vmpstr
> ~200000 -> 250000 run/s, so 0.005ms -> 0.004ms on my workstation. as it's heap ...
5 years, 6 months ago (2014-02-10 22:02:26 UTC) #6
reveman
On 2014/02/10 22:02:26, vmpstr wrote: > > ~200000 -> 250000 run/s, so 0.005ms -> 0.004ms ...
5 years, 6 months ago (2014-02-10 23:12:03 UTC) #7
vmpstr
On 2014/02/10 23:12:03, David Reveman wrote: > On 2014/02/10 22:02:26, vmpstr wrote: > > > ...
5 years, 6 months ago (2014-02-10 23:16:35 UTC) #8
reveman
The CQ bit was checked by reveman@chromium.org
5 years, 6 months ago (2014-02-10 23:41:47 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/reveman@chromium.org/144463012/60001
5 years, 6 months ago (2014-02-11 00:06:48 UTC) #10
commit-bot: I haz the power
5 years, 6 months ago (2014-02-11 02:57:57 UTC) #11
Message was sent while issue was closed.
Change committed as 250305

Powered by Google App Engine
This is Rietveld 408576698